/** @packageDocumentation
 * @module AccuDraw
 */
import { ToolItemDef } from "../shared/ToolItemDef";
/** AccuDraw Command Items - useful in Keyboard Shortcuts
 * @alpha
 */
export declare class AccuDrawCommandItems {
    static get lockSmart(): ToolItemDef;
    static get setOrigin(): ToolItemDef;
    static get lockX(): ToolItemDef;
    static get lockY(): ToolItemDef;
    static get lockZ(): ToolItemDef;
    static get lockAngle(): ToolItemDef;
    static get lockDistance(): ToolItemDef;
    static get changeCompassMode(): ToolItemDef;
    static get rotateTop(): ToolItemDef;
    static get rotateFront(): ToolItemDef;
    static get rotateSide(): ToolItemDef;
    static get rotateView(): ToolItemDef;
    static get rotateCycle(): ToolItemDef;
    static get rotateAxes(): ToolItemDef;
    static get rotateToElement(): ToolItemDef;
    static get defineACSByPoints(): ToolItemDef;
    static get bumpToolSetting(): ToolItemDef;
    static get focusToolSetting(): ToolItemDef;
}
//# sourceMappingURL=AccuDrawCommandItems.d.ts.map