/** @packageDocumentation
 * @module AccuDraw
 */
import "./SquareButton.scss";
import * as React from "react";
import { ButtonProps, Omit } from "@bentley/ui-core";
/** @alpha */
export interface SquareButtonProps extends Omit<ButtonProps, "size" | "buttonType"> {
}
/** @alpha */
export declare class SquareButton extends React.PureComponent<SquareButtonProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=SquareButton.d.ts.map