"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module ChildWindowManager
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PopoutWidget = void 0;
require("./PopoutWidget.scss");
const React = require("react");
/** Component used to wrap a widget for use is a child window.
 * @internal
 */
function PopoutWidget({ widgetContainerId, widgetDef }) {
    return (React.createElement("div", { className: "uifw-popout-widget-filled-container", "data-widget-id": widgetContainerId }, widgetDef.reactNode));
}
exports.PopoutWidget = PopoutWidget;
//# sourceMappingURL=PopoutWidget.js.map