/** @packageDocumentation
 * @module ClientServices
 */
import { ProjectInfo, ProjectScope, ProjectServices } from "./ProjectServices";
/**
 * Provides default [[ProjectServices]]
 * @internal
 */
export declare class DefaultProjectServices implements ProjectServices {
    private _connectClient;
    constructor();
    private createProjectInfo;
    /** Get projects accessible to the user based on various scopes/criteria */
    getProjects(projectScope: ProjectScope, top: number, skip: number, filter?: string): Promise<ProjectInfo[]>;
}
//# sourceMappingURL=DefaultProjectServices.d.ts.map