"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module ClientServices
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.IModelScope = void 0;
/** Enumeration for iModel scope
 * @internal
 */
var IModelScope;
(function (IModelScope) {
    IModelScope[IModelScope["Favorites"] = 0] = "Favorites";
    IModelScope[IModelScope["MostRecentlyUsed"] = 1] = "MostRecentlyUsed";
    IModelScope[IModelScope["All"] = 2] = "All";
})(IModelScope = exports.IModelScope || (exports.IModelScope = {}));
//# sourceMappingURL=IModelServices.js.map