/** @packageDocumentation
 * @module IModelComponents
 */
/// <reference types="react" />
import "./CategoriesTreeWithSearchBox.scss";
import { BeUiEvent } from "@bentley/bentleyjs-core";
import { CategoryTreeProps } from "./CategoriesTree";
/** @internal @deprecated */
export interface CategoryTreeWithSearchBoxProps extends CategoryTreeProps {
    showSearchBox?: boolean;
    showAll?: BeUiEvent<void>;
    hideAll?: BeUiEvent<void>;
}
/**
 * @internal @deprecated for backwards compatibility with visibility widget
 */
export declare function CategoryTreeWithSearchBox(props: CategoryTreeWithSearchBoxProps): JSX.Element;
//# sourceMappingURL=CategoriesTreeWithSearchBox.d.ts.map