/** @packageDocumentation
 * @module Notification
 */
/// <reference types="react" />
import { ActivityMessageEventArgs } from "../messages/MessageManager";
/** Properties for a [[ActivityMessage]]
 * @beta
 */
export interface ActivityMessageProps {
    activityMessageInfo: ActivityMessageEventArgs;
    cancelActivityMessage: () => void;
    dismissActivityMessage: () => void;
}
/** Activity Message React component
 * @beta
 */
export declare function ActivityMessage(props: ActivityMessageProps): JSX.Element;
//# sourceMappingURL=ActivityMessage.d.ts.map