"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Notification
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.HollowIcon = void 0;
const React = require("react");
const ui_core_1 = require("@bentley/ui-core");
/** Icon for Message
 * @internal
 */
function HollowIcon(props) {
    return (React.createElement("span", { className: "uifw-statusbar-hollow-icon" },
        React.createElement(ui_core_1.Icon, Object.assign({}, props))));
}
exports.HollowIcon = HollowIcon;
//# sourceMappingURL=HollowIcon.js.map