/** @packageDocumentation
 * @module Notification
 */
/// <reference types="react" />
import "./MessageRenderer.scss";
import { CommonProps } from "@bentley/ui-core";
/** Properties for [[MessageRenderer]] component
 * @beta
 */
export interface MessageRendererProps extends CommonProps {
    closeMessage?: (id: string) => void;
    cancelActivityMessage?: () => void;
    dismissActivityMessage?: () => void;
}
/** Message Popup React component that renders one or more Toast or Sticky messages and an Activity message
 * @beta
 */
export declare function MessageRenderer(props: MessageRendererProps): JSX.Element | null;
//# sourceMappingURL=MessageRenderer.d.ts.map