"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Notification
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageDiv = exports.MessageSpan = void 0;
const React = require("react");
const ui_core_1 = require("@bentley/ui-core");
/** @internal */
function MessageSpan(props) {
    return React.createElement(ui_core_1.MessageRenderer, Object.assign({}, props, { useSpan: true }));
}
exports.MessageSpan = MessageSpan;
/** @internal */
function MessageDiv(props) {
    return React.createElement(ui_core_1.MessageRenderer, Object.assign({}, props));
}
exports.MessageDiv = MessageDiv;
//# sourceMappingURL=MessageSpan.js.map