/** @packageDocumentation
 * @module NavigationAids
 */
import { ConfigurableCreateInfo } from "../configurableui/ConfigurableUiControl";
import { NavigationAidControl } from "./NavigationAidControl";
/** Navigation Aid that displays an interactive rotation cube for Spatial views that synchronizes with the rotation of the iModel Viewport
 * @public
 */
export declare class CubeNavigationAidControl extends NavigationAidControl {
    static navigationAidId: string;
    constructor(info: ConfigurableCreateInfo, options: any);
    getSize(): string | undefined;
}
//# sourceMappingURL=CubeNavigationAidControl.d.ts.map