/** @packageDocumentation
 * @module NavigationAids
 */
import { ConfigurableCreateInfo } from "../configurableui/ConfigurableUiControl";
import { NavigationAidControl } from "./NavigationAidControl";
/** Navigation Aid that displays an interactive mini-map for Drawing views that synchronizes with the iModel Viewport.
 * @beta
 */
export declare class DrawingNavigationAidControl extends NavigationAidControl {
    static navigationAidId: string;
    constructor(info: ConfigurableCreateInfo, options: any);
    getSize(): string | undefined;
}
//# sourceMappingURL=DrawingNavigationAidControl.d.ts.map