/** @packageDocumentation
 * @module Popup
 */
/// <reference types="react" />
import { OnCancelFunc, OnItemExecutedFunc } from "@bentley/ui-abstract";
import { KeyinEntry } from "../uiadmin/FrameworkUiAdmin";
/** @alpha */
export interface KeyinPalettePopupProps {
    id: string;
    el: HTMLElement;
    keyins: KeyinEntry[];
    onCancel?: OnCancelFunc;
    onItemExecuted?: OnItemExecutedFunc;
}
/** Keyin Palette Popup Component
 * @alpha
 */
export declare function KeyinPalettePopup({ el, id, keyins, onCancel, onItemExecuted }: KeyinPalettePopupProps): JSX.Element;
//# sourceMappingURL=KeyinPalettePopup.d.ts.map