/** @packageDocumentation
 * @module Popup
 */
import "./PositionPopup.scss";
import * as React from "react";
import { CommonDivProps, CommonProps, PointProps, SizeProps } from "@bentley/ui-core";
/** @alpha */
export interface PositionPopupProps extends CommonProps {
    /** Center point */
    point: PointProps;
    /** Function called when size is known. */
    onSizeKnown?: (size: SizeProps) => void;
}
/** @alpha */
export declare class PositionPopup extends React.PureComponent<PositionPopupProps> {
    constructor(props: PositionPopupProps);
    render(): JSX.Element;
    private setDivRef;
}
/** PositionPopup content with padding
 * @alpha
 */
export declare function PositionPopupContent(props: CommonDivProps): JSX.Element;
//# sourceMappingURL=PositionPopup.d.ts.map