/** @packageDocumentation
 * @module Item
 */
import { OnItemExecutedFunc } from "@bentley/ui-abstract";
import { ActionButtonItemDef } from "./ActionButtonItemDef";
import { CommandItemProps } from "./ItemProps";
/** An Item that executes a Command.
 * @public
 */
export declare class CommandItemDef extends ActionButtonItemDef {
    private static _sId;
    static commandIdPrefix: string;
    commandId: string;
    constructor(commandItemProps: CommandItemProps, onItemExecuted?: OnItemExecutedFunc);
    get id(): string;
}
//# sourceMappingURL=CommandItemDef.d.ts.map