/** @packageDocumentation
 * @module Item
 */
import * as React from "react";
import { ActionButtonItemDef } from "./ActionButtonItemDef";
import { CustomItemProps } from "./CustomItemProps";
/** An Item that renders a React component.
 * @public
 */
export declare class CustomItemDef extends ActionButtonItemDef {
    private static _sId;
    static customIdPrefix: string;
    customId: string;
    reactElement?: React.ReactNode;
    popupPanelNode?: React.ReactNode;
    constructor(props: CustomItemProps);
    get id(): string;
    toolbarReactNode(index?: number): React.ReactNode;
}
//# sourceMappingURL=CustomItemDef.d.ts.map