/** @packageDocumentation
 * @module Frontstage
 */
/** Available Stage Panel locations.
 * @alpha
 * Deprecated - Use [StagePanelLocation]($ui-abstract) in bentley/ui-abstract instead.
 */
export declare enum StagePanelLocation {
    Top = 101,
    TopMost = 102,
    Left = 103,
    Right = 104,
    Bottom = 105,
    BottomMost = 106
}
/** Enum for Stage Panel Sections
 * @alpha
 * Deprecated - Use [StagePanelSection]($ui-abstract) in bentley/ui-abstract instead.
 */
export declare enum StagePanelSection {
    Start = 0,
    Middle = 1,
    End = 2
}
//# sourceMappingURL=StagePanelEnums.d.ts.map