/** @packageDocumentation
 * @module StatusBar
 */
import * as React from "react";
import { AbstractStatusBarCustomItem, CommonStatusBarItem } from "@bentley/ui-abstract";
/** Describes the data needed to insert an item into the StatusBar.
 * @public
 */
export interface StatusBarItem extends AbstractStatusBarCustomItem {
    /** React node for the StatusBar item. */
    readonly reactNode: React.ReactNode;
}
/** StatusBarItem type guard.
 * @public
 */
export declare const isStatusBarItem: (item: CommonStatusBarItem) => item is StatusBarItem;
//# sourceMappingURL=StatusBarItem.d.ts.map