"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module StatusBar
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBarWidgetControl = void 0;
const ConfigurableUiControl_1 = require("../configurableui/ConfigurableUiControl");
const WidgetControl_1 = require("../widgets/WidgetControl");
/** Status Bar Widget Control.
 * @public
 */
class StatusBarWidgetControl extends WidgetControl_1.WidgetControl {
    constructor(info, options) {
        super(info, options);
    }
    /** Gets the type of ConfigurableUiControl, which is 'StatusBarWidget' in this case */
    getType() { return ConfigurableUiControl_1.ConfigurableUiControlType.StatusBarWidget; }
}
exports.StatusBarWidgetControl = StatusBarWidgetControl;
//# sourceMappingURL=StatusBarWidgetControl.js.map