/** @packageDocumentation
 * @module StatusBar
 */
import * as React from "react";
import { MessageCenterFieldProps } from "../statusfields/MessageCenter";
/** HOC that injects values for [[MessageCenterFieldProps]].
 * @public
 */
export declare const withMessageCenterFieldProps: <P extends MessageCenterFieldProps, C>(Component: React.JSXElementConstructor<P> & C) => (props: JSX.LibraryManagedAttributes<C, Omit<P, "isInFooterMode" | "openWidget" | "targetRef" | "onOpenWidget">>) => JSX.Element;
//# sourceMappingURL=withMessageCenterFieldProps.d.ts.map