/** @packageDocumentation
 * @module StatusBar
 */
import * as React from "react";
import { StatusFieldProps } from "./StatusFieldProps";
/** Properties for a FooterModeField component
 * @public
 */
export interface FooterModeFieldProps extends StatusFieldProps {
    /** Field content. */
    children?: React.ReactNode;
}
/**
 * A component that renders its children if the StatusBar is in Footer mode.
 * @public
 */
export declare class FooterModeField extends React.PureComponent<FooterModeFieldProps> {
    render(): React.ReactNode;
}
//# sourceMappingURL=FooterModeField.d.ts.map