/** @packageDocumentation
 * @module Toolbar
 */
/// <reference types="react" />
import { ActionButton, OnItemExecutedFunc } from "@bentley/ui-abstract";
/** Action button props
 *  @internal
 */
interface ActionButtonProps {
    item: ActionButton;
    onItemExecuted?: OnItemExecutedFunc;
}
/** ActionItem toolbar Function component
 * @internal
 */
export declare function ActionButtonItem(props: ActionButtonProps): JSX.Element;
export {};
//# sourceMappingURL=ActionButtonItem.d.ts.map