/** @packageDocumentation
 * @module Tools
 */
import { Tool } from "@bentley/imodeljs-frontend";
/**
 * Immediate tool that will reset the layout to that specified in the stage definition. A stage Id
 * may be passed in, if not the active stage is used. The stage Id is case sensitive.
 * @alpha
 */
export declare class RestoreFrontstageLayoutTool extends Tool {
    static toolId: string;
    static iconSpec: string;
    static get minArgs(): number;
    static get maxArgs(): number;
    run(frontstageId?: string): boolean;
    parseAndRun(...args: string[]): boolean;
}
//# sourceMappingURL=RestoreLayoutTool.d.ts.map