/** @packageDocumentation
 * @module UiProvider
 */
/// <reference types="react" />
import "./DefaultDialogGridContainer.scss";
import { ComponentGenerator } from "./ComponentGenerator";
/**
 * Component to provide grid of property editors
 * @beta
 */
export declare function ToolSettingsGridContainer({ componentGenerator }: {
    componentGenerator: ComponentGenerator;
}): JSX.Element;
interface DialogGridContainerProps {
    componentGenerator: ComponentGenerator;
    containerClassName?: string;
}
/** @internal */
export declare function DialogGridContainer({ componentGenerator, containerClassName }: DialogGridContainerProps): JSX.Element;
/** DefaultDialogGridContainer populates a React node with the items specified by the UiLayoutDataProvider
 * @beta
 */
export declare function DefaultDialogGridContainer({ componentGenerator, isToolSettings }: {
    componentGenerator: ComponentGenerator;
    isToolSettings?: boolean;
}): JSX.Element;
export {};
//# sourceMappingURL=DefaultDialogGridContainer.d.ts.map