/** @packageDocumentation
 * @module Widget
 */
import "./ToolSettingsContent.scss";
import * as React from "react";
import { HorizontalAnchor, ToolSettingsWidgetMode } from "@bentley/ui-ninezone";
/** @internal */
interface ToolSettingsContentProps {
    anchor: HorizontalAnchor;
    mode: ToolSettingsWidgetMode;
}
interface ToolSettingsContentState {
    availableContentWidth: number;
}
/**  @internal */
export declare class ToolSettingsContent extends React.PureComponent<ToolSettingsContentProps, ToolSettingsContentState> {
    private _container;
    private _measurer;
    readonly state: ToolSettingsContentState;
    render(): React.ReactNode | undefined;
    private _handleResize;
}
/** @internal */
export interface ToolSettingsContentContextProps {
    readonly availableContentWidth: number;
}
/** @internal */
export declare const ToolSettingsContentContext: React.Context<ToolSettingsContentContextProps>;
export {};
//# sourceMappingURL=ToolSettingsContent.d.ts.map