/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { WidgetProps } from "./WidgetProps";
/** Widget React component.
 * A Widget is a collection of UI components tied to a particular Zone that allows the user to view and/or modify data relevant to their current context.
 * @public
 */
export declare class Widget extends React.Component<WidgetProps> {
    constructor(props: WidgetProps);
    render(): null;
}
//# sourceMappingURL=Widget.d.ts.map