"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Zone
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Outline = void 0;
const React = require("react");
const ui_ninezone_1 = require("@bentley/ui-ninezone");
/** @internal */
class Outline extends React.PureComponent {
    render() {
        if (!this.props.bounds)
            return null;
        return (React.createElement(ui_ninezone_1.Outline, { bounds: this.props.bounds }));
    }
}
exports.Outline = Outline;
//# sourceMappingURL=Outline.js.map