/** @packageDocumentation
 * @module AccuDraw
 */
/// <reference types="react" />
import "./AccuDrawDialog.scss";
import { CommonProps, Orientation } from "@bentley/ui-core";
/** @alpha */
export interface AccuDrawDialogProps extends CommonProps {
    /** Indicates whether the dialog is open */
    opened: boolean;
    /** Unique id for the dialog */
    dialogId: string;
    /** Orientation of the fields */
    orientation?: Orientation;
    /** Callback for when the dialog closes */
    onClose?: () => void;
}
/** @alpha */
export declare function AccuDrawDialog(props: AccuDrawDialogProps): JSX.Element;
//# sourceMappingURL=AccuDrawDialog.d.ts.map