/** @packageDocumentation
 * @module AccuDraw
 */
/// <reference types="react" />
import "./AccuDrawFieldContainer.scss";
import { CommonProps, Orientation, UiSettingsStorage } from "@bentley/ui-core";
/** @alpha */
export interface AccuDrawFieldContainerProps extends CommonProps {
    /** Orientation of the fields */
    orientation: Orientation;
    /** Optional parameter for persistent UI settings. Defaults to LocalSettingsStorage. */
    uiSettingsStorage?: UiSettingsStorage;
    /** @internal */
    showZOverride?: boolean;
}
/** @alpha */
export declare function AccuDrawFieldContainer(props: AccuDrawFieldContainerProps): JSX.Element;
//# sourceMappingURL=AccuDrawFieldContainer.d.ts.map