/** @packageDocumentation
 * @module AccuDraw
 */
/// <reference types="react" />
import { ConfigurableCreateInfo } from "../configurableui/ConfigurableUiControl";
import { WidgetControl } from "../widgets/WidgetControl";
/** AccuDraw Widget Control
 * @alpha
 */
export declare class AccuDrawWidgetControl extends WidgetControl {
    static id: string;
    static get label(): string;
    constructor(info: ConfigurableCreateInfo, options: any);
}
/** AccuDraw Widget
 * @alpha
 */
export declare function AccuDrawWidget(): JSX.Element;
//# sourceMappingURL=AccuDrawWidget.d.ts.map