/** @packageDocumentation
 * @module AccuDraw
 */
import * as React from "react";
import { Size } from "@bentley/ui-core";
import { PopupPropsBase } from "../popup/PopupManager";
/** @alpha */
export interface MenuButtonPopupProps extends PopupPropsBase {
    content: React.ReactNode;
}
/** @internal */
interface MenuButtonPopupState {
    size: Size;
}
/** Popup component for Menu Buttons
 * @alpha
 */
export declare class MenuButtonPopup extends React.PureComponent<MenuButtonPopupProps, MenuButtonPopupState> {
    /** @internal */
    readonly state: {
        size: Size;
    };
    private _onSizeKnown;
    /** @internal */
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=MenuButtonPopup.d.ts.map