/** @packageDocumentation
 * @module Backstage
 */
/// <reference types="react" />
import { BackstageActionItem, BackstageItem, BackstageStageLauncher } from "@bentley/ui-abstract";
/** @internal */
export interface BackstageComposerActionItemProps {
    readonly item: BackstageActionItem;
}
/** @internal */
export declare function BackstageComposerActionItem({ item }: BackstageComposerActionItemProps): JSX.Element;
/** @internal */
export interface BackstageComposerStageLauncherProps {
    readonly item: BackstageStageLauncher;
}
/** @internal */
export declare function BackstageComposerStageLauncher({ item }: BackstageComposerStageLauncherProps): JSX.Element;
/** Props of [[BackstageComposerItem]] component.
 * @beta
 */
export interface BackstageComposerItemProps {
    /** Backstage item to render */
    readonly item: BackstageItem;
}
/** Item of [[BackstageComposer]].
 * @beta
 */
export declare function BackstageComposerItem({ item }: BackstageComposerItemProps): JSX.Element;
//# sourceMappingURL=BackstageComposerItem.d.ts.map