"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Backstage
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBackstageItemStateFromProps = void 0;
const BackstageItemUtilities_1 = require("./BackstageItemUtilities");
/** Helper method to set backstage item state from props.
 * @public
 * @deprecated - use BackstageItem in bentley/ui-abstract instead
 */
// istanbul ignore next
const getBackstageItemStateFromProps = (props) => {
    return BackstageItemUtilities_1.BackstageItemUtilities.getBackstageItemStateFromProps(props);
};
exports.getBackstageItemStateFromProps = getBackstageItemStateFromProps;
//# sourceMappingURL=BackstageItemProps.js.map