/** @packageDocumentation
 * @module Backstage
 */
import * as React from "react";
import { UserInfo } from "@bentley/itwin-client";
import { CommonProps } from "@bentley/ui-core";
/** Properties for the [[Backstage]] React component.
 * @public
 */
export interface UserProfileBackstageItemProps extends CommonProps {
    userInfo: UserInfo;
    onOpenSignOut?: () => void;
}
/** User Profile Backstage React component.
 * @public
 */
export declare class UserProfileBackstageItem extends React.PureComponent<UserProfileBackstageItemProps> {
    render(): React.ReactNode | undefined;
    private _onOpenSignOut;
    private _getInitials;
    private _getFullName;
}
//# sourceMappingURL=UserProfile.d.ts.map