/** @packageDocumentation
 * @module Notification
 */
import "./CursorPrompt.scss";
import { ToolAssistanceInstruction } from "@bentley/imodeljs-frontend";
import { RelativePosition } from "@bentley/ui-abstract";
import { PointProps } from "@bentley/ui-core";
/** @internal */
export declare class CursorPrompt {
    private _timeOut;
    private _fadeOut;
    private _timer;
    private _relativePosition;
    private _offset;
    private _popupId;
    constructor(timeOut: number, fadeOut: boolean);
    display(toolIconSpec: string, instruction: ToolAssistanceInstruction, offset?: PointProps, relativePosition?: RelativePosition): void;
    /** @internal - unit testing */
    close(fadeOut: boolean): void;
    private _startCursorPopup;
    private _endCursorPopup;
    private _handleCursorUpdated;
}
//# sourceMappingURL=CursorPrompt.d.ts.map