/** @packageDocumentation
 * @module Zone
 */
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
import { WidgetZoneId, ZoneTargetType } from "@bentley/ui-ninezone";
import { TargetChangeHandler } from "../frontstage/FrontstageComposer";
/** Properties for the [[ZoneTargets]] component.
 * @internal
 */
export interface ZoneTargetsProps extends CommonProps {
    zoneId: WidgetZoneId;
    dropTarget: ZoneTargetType | undefined;
    targetChangeHandler: TargetChangeHandler;
}
/** Zone Targets React component.
 * @internal
 */
export declare class ZoneTargets extends React.Component<ZoneTargetsProps> {
    render(): React.ReactNode;
}
//# sourceMappingURL=ZoneTargets.d.ts.map