/** @packageDocumentation
 * @module Hooks
 */
import { IModelConnection } from "@bentley/imodeljs-frontend";
/** React hook that maintains the active IModelConnection. For this hook to work properly the
 * IModelConnection must be set using UiFramework.setIModelConnection method. This also requires
 * that the host app includes the UiFramework reducer into its Redux store.
 * @public
 */
export declare function useActiveIModelConnection(): IModelConnection | undefined;
//# sourceMappingURL=useActiveIModelConnection.d.ts.map