/** @packageDocumentation
 * @module Hooks
 */
import { AnalysisAnimationTimelineDataProvider } from "../timeline/AnalysisAnimationProvider";
import { ScreenViewport } from "@bentley/imodeljs-frontend";
/** Hook that returns either a AnalysisAnimationTimelineDataProvider or undefined based on if the supplied viewport contains analysis data.
 * @public
 **/
export declare function useAnalysisAnimationDataProvider(viewport: ScreenViewport | undefined): AnalysisAnimationTimelineDataProvider | undefined;
//# sourceMappingURL=useAnalysisAnimationDataProvider.d.ts.map