/** @packageDocumentation
 * @module Hooks
 */
/** React hook that maintains the number of available UiItemsProviders. This allows components to use it to refresh when a
 * UiItemsProviders is added or removed allowing the ui component to be re-rendered.
 * @internal
 */
export declare function useAvailableUiItemsProviders(): readonly string[];
//# sourceMappingURL=useAvailableUiItemsProviders.d.ts.map