/** @packageDocumentation
 * @module Hooks
 */
import * as React from "react";
/** @internal */
export declare function useFrameworkVersion(): FrameworkVersion;
/** @alpha */
export declare type FrameworkVersion = "1" | "2";
/** @internal */
export declare const FrameworkVersionContext: React.Context<FrameworkVersion>;
/** @alpha */
export interface FrameworkVersionProps {
    children?: React.ReactNode;
    version: FrameworkVersion;
}
/** @alpha */
export declare function FrameworkVersion(props: FrameworkVersionProps): JSX.Element;
/** @internal */
export interface FrameworkVersionSwitchProps {
    v1?: React.ReactNode;
    v2?: React.ReactNode;
}
/** @internal */
export declare function FrameworkVersionSwitch(props: FrameworkVersionSwitchProps): JSX.Element;
//# sourceMappingURL=useFrameworkVersion.d.ts.map