/** @packageDocumentation
 * @module Hooks
 */
import { ScheduleAnimationTimelineDataProvider } from "../timeline/ScheduleAnimationProvider";
import { ScreenViewport } from "@bentley/imodeljs-frontend";
/** Hook that returns either a ScheduleAnimationTimelineDataProvider or undefined based on if the supplied viewport contains schedule script.
 * @public
 **/
export declare function useScheduleAnimationDataProvider(viewport: ScreenViewport | undefined): ScheduleAnimationTimelineDataProvider | undefined;
//# sourceMappingURL=useScheduleAnimationDataProvider.d.ts.map