/** @packageDocumentation
 * @module Hooks
 */
import { SolarDataProvider } from "@bentley/ui-components";
import { ScreenViewport } from "@bentley/imodeljs-frontend";
/** Hook that returns either a SolarTimelineDataProvider or undefined based on if the supplied viewport's display style is set to display shadows.
 * @beta
 **/
export declare function useSolarDataProvider(viewport: ScreenViewport | undefined): SolarDataProvider | undefined;
//# sourceMappingURL=useSolarDataProvider.d.ts.map