/** @packageDocumentation
 * @module KeyboardShortcut
 */
/** Enumeration for Function Keys
 * @public
 * @deprecated Use [FunctionKey]($ui-abstract) in bentley/ui-abstract instead
 */
export declare enum FunctionKey {
    F1 = "F1",
    F2 = "F2",
    F3 = "F3",
    F4 = "F4",
    F5 = "F5",
    F6 = "F6",
    F7 = "F7",
    F8 = "F8",
    F9 = "F9",
    F10 = "F10",
    F11 = "F11",
    F12 = "F12"
}
/** Enumeration for Special Keys
 * @public
 * @deprecated Use [SpecialKey]($ui-abstract) in bentley/ui-abstract instead
 */
export declare enum SpecialKey {
    Home = "Home",
    End = "End",
    PageUp = "PageUp",
    PageDown = "PageDown",
    Escape = "Escape",
    Delete = "Delete",
    Insert = "Insert",
    Tab = "Tab",
    ArrowLeft = "ArrowLeft",
    ArrowRight = "ArrowRight",
    ArrowUp = "ArrowUp",
    ArrowDown = "ArrowDown",
    Enter = "Enter",
    Space = " ",
    Backspace = "Backspace"
}
//# sourceMappingURL=KeyboardKey.d.ts.map