/** @packageDocumentation
 * @module Notification
 */
/// <reference types="react" />
import "./ActivityMessagePopup.scss";
import { CommonProps } from "@bentley/ui-core";
/** Properties for [[ActivityMessagePopup]] component
 * @beta
 */
export interface ActivityMessagePopupProps extends CommonProps {
    cancelActivityMessage?: () => void;
    dismissActivityMessage?: () => void;
}
/** Activity Message Popup React component
 * @beta
 */
export declare function ActivityMessagePopup(props: ActivityMessagePopupProps): JSX.Element | null;
//# sourceMappingURL=ActivityMessagePopup.d.ts.map