"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Notification
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageLabel = void 0;
const React = require("react");
const classnames = require("classnames");
const MessageSpan_1 = require("./MessageSpan");
/** Message String/Label
 * @internal
 */
function MessageLabel(props) {
    const classNames = classnames("uifw-statusbar-message-label", props.className);
    return React.createElement(MessageSpan_1.MessageDiv, { className: classNames, message: props.message });
}
exports.MessageLabel = MessageLabel;
//# sourceMappingURL=MessageLabel.js.map