/** @packageDocumentation
 * @module Notification
 */
/// <reference types="react" />
import { ClassNameProps } from "@bentley/ui-core";
import { NotifyMessageType } from "./ReactNotifyMessageDetails";
/** @internal */
export interface MessageSpanProps extends ClassNameProps {
    message: NotifyMessageType;
}
/** @internal */
export declare function MessageSpan(props: MessageSpanProps): JSX.Element;
/** @internal */
export declare function MessageDiv(props: MessageSpanProps): JSX.Element;
//# sourceMappingURL=MessageSpan.d.ts.map