/** @packageDocumentation
 * @module Notification
 */
/// <reference types="react" />
import "./StickyMessage.scss";
import { MessageSeverity } from "@bentley/ui-core";
import { NotifyMessageDetailsType } from "../messages/ReactNotifyMessageDetails";
/** Properties for a [[StickyMessage]]
 * @beta
 */
export interface StickyMessageProps {
    id: string;
    messageDetails: NotifyMessageDetailsType;
    severity: MessageSeverity;
    closeMessage: (id: string) => void;
}
/** Sticky Message React component
 * @beta
 */
export declare function StickyMessage(props: StickyMessageProps): JSX.Element;
//# sourceMappingURL=StickyMessage.d.ts.map