/** @packageDocumentation
 * @module Notification
 */
/// <reference types="react" />
import { MessageSeverity } from "@bentley/ui-core";
import { NotifyMessageDetailsType } from "../messages/ReactNotifyMessageDetails";
/** Properties for a [[ToastMessage]]
 * @beta
 */
export interface ToastMessageProps {
    id: string;
    messageDetails: NotifyMessageDetailsType;
    severity: MessageSeverity;
    toastTarget: HTMLElement | null;
    closeMessage: (id: string) => void;
}
/** Toast Message React component
 * @beta
 */
export declare function ToastMessage(props: ToastMessageProps): JSX.Element;
//# sourceMappingURL=ToastMessage.d.ts.map