/** @packageDocumentation
 * @module OIDC
 */
import "./SignOut.scss";
import * as React from "react";
import { UserInfo } from "@bentley/itwin-client";
import { ModalFrontstageInfo } from "../frontstage/FrontstageManager";
/** Modal frontstage displaying sign out form.
 * @public
 */
export declare class SignOutModalFrontstage implements ModalFrontstageInfo {
    title: string;
    private _signOut;
    private _signOutPrompt;
    private _userInfo;
    constructor(userInfo?: UserInfo);
    private _getInitials;
    private _getFullName;
    private _onSignOut;
    get content(): React.ReactNode;
}
//# sourceMappingURL=SignOut.d.ts.map