/** @packageDocumentation
 * @module Popup
 */
/// <reference types="react" />
import "./KeyinPalettePanel.scss";
import { OnItemExecutedFunc } from "@bentley/ui-abstract";
import { KeyinEntry } from "../uiadmin/FrameworkUiAdmin";
/** @internal */
export declare function clearKeyinPaletteHistory(): void;
interface KeyinPalettePanelProps {
    keyins: KeyinEntry[];
    onKeyinExecuted?: OnItemExecutedFunc;
    historyLength?: number;
}
/**
 * @internal
 */
export declare function KeyinPalettePanel({ keyins, onKeyinExecuted, historyLength: allowedHistoryLength }: KeyinPalettePanelProps): JSX.Element;
export {};
//# sourceMappingURL=KeyinPalettePanel.d.ts.map