/** @packageDocumentation
 * @module Item
 */
import { GroupItemDef } from "../toolbar/GroupItem";
import { ActionButtonItemDef } from "./ActionButtonItemDef";
import { CommandItemDef } from "./CommandItemDef";
import { ToolItemDef } from "./ToolItemDef";
/** Union of all Item definitions that can be specified in a GroupItem
 * @public
 */
export declare type AnyItemDef = GroupItemDef | CommandItemDef | ToolItemDef | ActionButtonItemDef;
//# sourceMappingURL=AnyItemDef.d.ts.map