/** @packageDocumentation
 * @module Item
 */
/// <reference types="react" />
import { ItemProps } from "./ItemProps";
/** Definition for a Custom item that renders a React component.
 * @public
 */
export interface CustomItemProps extends ItemProps {
    customId?: string;
    reactElement?: React.ReactNode;
    popupPanelNode?: React.ReactNode;
}
//# sourceMappingURL=CustomItemProps.d.ts.map