"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Frontstage
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectionScope = void 0;
/** Selection Scope enum.
 * @public
 */
var SelectionScope;
(function (SelectionScope) {
    SelectionScope[SelectionScope["Element"] = 0] = "Element";
    SelectionScope[SelectionScope["Assembly"] = 1] = "Assembly";
    SelectionScope[SelectionScope["TopAssembly"] = 2] = "TopAssembly";
    SelectionScope[SelectionScope["Category"] = 3] = "Category";
    SelectionScope[SelectionScope["Model"] = 4] = "Model";
})(SelectionScope = exports.SelectionScope || (exports.SelectionScope = {}));
//# sourceMappingURL=SelectionScope.js.map