/** @packageDocumentation
 * @module ToolSettings
 */
import "./OverflowPanel.scss";
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
/** Properties of [[StatusBarOverflowPanel]] component.
 * @internal
 */
export interface StatusBarOverflowPanelProps extends CommonProps {
    /** Panel content. */
    children?: React.ReactNode;
    onClose: () => void;
    target: HTMLElement | undefined;
    open: boolean;
}
/** Displays overflow status bar items.
 * @internal
 */
export declare function StatusBarOverflowPanel(props: StatusBarOverflowPanelProps): JSX.Element;
//# sourceMappingURL=OverflowPanel.d.ts.map