"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module StatusBar
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isStatusBarItem = void 0;
/** StatusBarItem type guard.
 * @public
 */
const isStatusBarItem = (item) => {
    return (!!item.isCustom) && ("reactNode" in item);
};
exports.isStatusBarItem = isStatusBarItem;
//# sourceMappingURL=StatusBarItem.js.map