/** @packageDocumentation
 * @module StatusBar
 */
import * as React from "react";
import { StatusBarSection } from "@bentley/ui-abstract";
import { StatusBarItem } from "./StatusBarItem";
/** Utility methods for creating and maintaining StatusBar items.
 * @public
 */
export declare class StatusBarItemUtilities {
    /** Creates a StatusBar item */
    static createStatusBarItem: (id: string, section: StatusBarSection, itemPriority: number, reactNode: React.ReactNode, itemProps?: Partial<StatusBarItem> | undefined) => StatusBarItem;
}
//# sourceMappingURL=StatusBarItemUtilities.d.ts.map