"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module StatusBar
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBarItemUtilities = void 0;
/** Utility methods for creating and maintaining StatusBar items.
 * @public
 */
class StatusBarItemUtilities {
}
exports.StatusBarItemUtilities = StatusBarItemUtilities;
/** Creates a StatusBar item */
StatusBarItemUtilities.createStatusBarItem = (id, section, itemPriority, reactNode, itemProps) => (Object.assign({ id, section, itemPriority, reactNode, isCustom: true }, itemProps ? itemProps : {}));
//# sourceMappingURL=StatusBarItemUtilities.js.map