/** @packageDocumentation
 * @module StatusBar
 */
import * as React from "react";
import { StatusFieldProps } from "../statusfields/StatusFieldProps";
/** HOC that injects values for [[StatusFieldProps]].
 * @public
 */
export declare const withStatusFieldProps: <P extends StatusFieldProps, C>(Component: React.JSXElementConstructor<P> & C) => (props: JSX.LibraryManagedAttributes<C, Omit<P, "isInFooterMode" | "openWidget" | "onOpenWidget">>) => JSX.Element;
//# sourceMappingURL=withStatusFieldProps.d.ts.map