/** @packageDocumentation
 * @module StatusBar
 */
import "./ViewAttributes.scss";
import * as React from "react";
import { ViewFlagProps } from "@bentley/imodeljs-common";
import { StatusFieldProps } from "./StatusFieldProps";
interface ViewAttributesStatusFieldState {
    viewFlags: ViewFlagProps;
    cameraOn: boolean;
    target: HTMLElement | null;
}
/** Widget for showing Checkboxes for View Attributes
 * @beta
 */
export declare class ViewAttributesStatusField extends React.Component<StatusFieldProps, ViewAttributesStatusFieldState> {
    private _className;
    private _title;
    constructor(props: StatusFieldProps);
    componentDidMount(): void;
    /** Handle opening/closing the dialog */
    private _handleIndicatorClick;
    private updateState;
    private _handleViewFlagClick;
    private _handleToggleCamera;
    private stylizeName;
    private getViewFlagItem;
    private getFlagState;
    private getToggleCameraItem;
    private getViewFlags;
    render(): JSX.Element;
    private _handleTargetRef;
    private _handleClose;
    /** Opens the pop-up window. */
    private setOpenWidget;
}
export {};
//# sourceMappingURL=ViewAttributes.d.ts.map