/** @packageDocumentation
 * @module StatusBar
 */
import "./TileLoadingIndicator.scss";
import * as React from "react";
import { StatusFieldProps } from "../StatusFieldProps";
/** State for the [[TileLoadingIndicator]] component
 * @internal
 */
interface TileLoadingIndicatorState {
    label: string;
    progress: number;
    enabled: boolean;
    finished: boolean;
}
/** TileLoadingIndicator React component
 * @beta
 */
export declare class TileLoadingIndicator extends React.PureComponent<StatusFieldProps, TileLoadingIndicatorState> {
    private _removeViewOpenListener?;
    private _removeOnRenderListener?;
    constructor(props: StatusFieldProps);
    private _update;
    private _onViewOpen;
    componentDidMount(): void;
    componentWillUnmount(): void;
    /** Renders TileLoadingIndicator */
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=TileLoadingIndicator.d.ts.map