/** @packageDocumentation
 * @module Tools
 */
import { Tool } from "@bentley/imodeljs-frontend";
/**
 * Immediate tool that will clear the recent history of command/tool keyins shown in
 * the command palette.
 * @alpha
 */
export declare class ClearKeyinPaletteHistoryTool extends Tool {
    static toolId: string;
    static iconSpec: string;
    static get minArgs(): number;
    static get maxArgs(): number;
    run(): boolean;
    parseAndRun(): boolean;
}
//# sourceMappingURL=KeyinPaletteTools.d.ts.map