/** @packageDocumentation
 * @module Tools
 */
import { Tool } from "@bentley/imodeljs-frontend";
/**
 * Immediate tool that will open the Settings modal stage.
 * @alpha
 */
export declare class OpenSettingsTool extends Tool {
    static toolId: string;
    static iconSpec: string;
    static get minArgs(): number;
    static get maxArgs(): number;
    run(settingCategory?: string): boolean;
    parseAndRun(...args: string[]): boolean;
}
//# sourceMappingURL=OpenSettingsTool.d.ts.map