/** @packageDocumentation
 * @module Tools
 */
import { Tool } from "@bentley/imodeljs-frontend";
/**
 * Immediate tool that will focus into the Tool Settings widget.
 * @alpha
 */
export declare class FocusToolSettings extends Tool {
    static toolId: string;
    run(): boolean;
}
/**
 * Immediate tool that will bump a Tool Settings value.
 * @alpha
 */
export declare class BumpToolSetting extends Tool {
    static toolId: string;
    static get maxArgs(): number;
    run(settingIndexStr?: string): boolean;
    parseAndRun(...args: string[]): boolean;
}
//# sourceMappingURL=ToolSettingsTools.d.ts.map