/** @packageDocumentation
 * @module Utilities
 */
/** A set of Dom helper methods
 * @beta
 */
export declare class ToolbarButtonHelper {
    static searchToolbarsByTitle(title: string, horizontal: boolean): HTMLButtonElement | null;
    /** Search Horizontal Toolbars for button by title. */
    static searchHorizontalToolbarsByTitle(title: string): HTMLButtonElement | null;
    /** Search Vertical Toolbars by Title for button by title. */
    static searchVerticalToolbarsByTitle(title: string): HTMLButtonElement | null;
    /** Get toolbar button by title. */
    static getToolbarButtonByTitle(title: string): HTMLButtonElement | null;
    /** Get App button. */
    static getAppButton(): HTMLButtonElement | null;
}
//# sourceMappingURL=ToolbarButtonHelper.d.ts.map