"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Item
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WidgetPanelsToolbars = void 0;
require("./Toolbars.scss");
const React = require("react");
const Frontstage_1 = require("../frontstage/Frontstage");
/** @internal */
function WidgetPanelsToolbars() {
    var _a, _b, _c, _d;
    const frontstageDef = Frontstage_1.useActiveFrontstageDef();
    const tools = (_b = (_a = frontstageDef === null || frontstageDef === void 0 ? void 0 : frontstageDef.topLeft) === null || _a === void 0 ? void 0 : _a.getSingleWidgetDef()) === null || _b === void 0 ? void 0 : _b.reactNode;
    const navigation = (_d = (_c = frontstageDef === null || frontstageDef === void 0 ? void 0 : frontstageDef.topRight) === null || _c === void 0 ? void 0 : _c.getSingleWidgetDef()) === null || _d === void 0 ? void 0 : _d.reactNode;
    return (React.createElement("div", { className: "uifw-widgetPanels-toolbars" },
        tools,
        navigation));
}
exports.WidgetPanelsToolbars = WidgetPanelsToolbars;
//# sourceMappingURL=Toolbars.js.map