/** @packageDocumentation
 * @module Widget
 */
/** Widget state enum.
 * @public
 * @deprecated - Use [WidgetState]($ui-abstract) in bentley/ui-abstract instead.
 */
export declare enum WidgetState {
    /** Widget tab is visible and active and its contents are visible */
    Open = 0,
    /** Widget tab is visible but its contents are not visible */
    Closed = 1,
    /** Widget tab nor its contents are visible */
    Hidden = 2,
    /** Widget tab is in a 'floating' state and is not docked in zone's tab stack */
    Floating = 3,
    /** Widget tab is visible but its contents are not loaded */
    Unloaded = 4
}
//# sourceMappingURL=WidgetState.d.ts.map