/** @packageDocumentation
 * @module Item
 */
import { ToolUiProvider } from "./ToolUiProvider";
/** Provides information about a tool with a given id, including the ToolUiProvider.
 * @public
 */
export declare class ToolInformation {
    toolId: string;
    private _toolUiProvider;
    constructor(toolId: string);
    /** Get the ToolUiProvider registered for this tool */
    get toolUiProvider(): ToolUiProvider | undefined;
}
//# sourceMappingURL=ToolInformation.d.ts.map